#! /bin/sh

set -eu

if type -p java >/dev/null; then
    _java=java
elif [ -n "$JAVA_HOME" -a -x "$JAVA_HOME/bin/java" ];  then
    _java="$JAVA_HOME/bin/java"
else
    echo "Can't find java" 1>&2
    exit 1
fi

JAVA_VER=`$_java -version 2>&1 | sed -n ';s/.* version "\(.*\)\.\(.*\)\..*".*$/\1\2/p;'`

if [ "$JAVA_VER" -gt 18 ]; then
    echo "You need Java version 1.8 or older" 1>&2
    exit 1
fi

cd `dirname $0`
$_java -Dal.host=aler.jews.spb.ru -jar game-client.jar &>client-log.txt
